#include <gtk/gtk.h>
#include <gtk/gtkx.h>
#include "model/ubl-utils.h"
#include <locale.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <libintl.h>
#include <getopt.h>
#include <libintl.h>
#include "../compile/ubl-cmake.h"
#include "model/model.h"
#include "model/load.h"
#include "view_check_user_table.h"

void temp_set_index(int _index);
temp_set_window* get_widget_temp();
void set_disk(char* _disk);
temp_set_window *temp_setup_window_base(char* _glade_path);
void temp_on_destroy_subwindow(GtkWidget *self);
void temp_destroy(GtkWidget *self);
void temp_show(GtkWidget *self, char* _glade_path);
void temp_init_windows();
void temp_event(temp_set_window* temp_widgets);
void temp_localization(temp_set_window* temp_widgets);
void btn_ok_file_manager(GtkWidget *self);
void set_temp_menu(char* _flag_u_g_p, char* _set_add_edit);
void destroy_file_manager(GtkWidget *self);
void show_file_manger(temp_set_window* temp_widgets, GtkBuilder *builder);
temp_set_window *temp_setup_window_custom(temp_set_window* temp_widgets, GtkBuilder *builder);
void wrapper_show_file_manager();
void event_toggled_all();
void set_all_config(config_all* _all_config);
void set_widget_config(GtkWidget* check, GtkWidget* spin, GtkWidget* combo, size_t* value, int* mem_size);
void set_edit_gui_data_base(config_all* all_config, int index);
config_u_g_p* get_temp_gui_data_base(config_u_g_p* _config);
void get_add_gui_data_base(config_all* all_config);
void get_edit_gui_data_base(config_all* all_config, int index);
void set_widget(GtkWidget* check, GtkWidget* spin, GtkWidget* combo, int value_spin, int pow_mem_size);
int generate_id(vector* _vec_temp, int max_id);
void wrapper_generate_id();
int check_generate(vector* _vec_temp, int max_id);
void check_generate_id();
void set_activ_project_id();
int wrapper_check_save();
void block_btn_save();
int table_check_save();
void temp_settings();
void show_warning_no_fill(char* text_mess);
void update_max_size_spin(GtkWidget *self, int* flag);
void temp_on_set_combo_box_device();